=== debian/changelog ===
rustc-1.81 (1.81.0+dfsg0ubuntu0-0ubuntu0.22.04) jammy-security; urgency=medium

  * Backport to Jammy (LP: #2111372)
    - Re-enable libgit2 vendoring:
      - d/control,d/control.in: Remove libgit2-dev from Build-Depends
      - d/copyright: Re-include libgit2 in vendored upstream files
    - Re-enable LLVM vendoring:
      - d/control,d/control.in: Remove LLVM-related dependencies from
        Build-Depends
      - d/copyright: Re-include LLVM in vendored upstream files, add copyright
        stanza for embedded LLVM
      - d/rules: Allow rustbuild to control whether LLVM is compiled with
        debug symbols
      - d/watch: Include +llvm in upstream version
    - d/control,d/control.in,d/rules: Disable dh-cargo check due to lack of
      Jammy support
    - d/control,d/control.in,d/rules: Roll back pkgconf to pkg-config
    

 -- Max Gilmour <max.gilmour@canonical.com>  Mon, 09 Jun 2025 11:04:23 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu0.24.04) noble-security; urgency=medium

  * Backport to Noble (LP: #2111372)
    - d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch,d/p/series: 
      Remove patch updating libgit2 to version 1.9
    - d/control,d/control.in: Revert libgit2-dev Build-Depends to
      1.7.2 
    - d/p/ubuntu/ubuntu-libgit2-downgrade.patch,d/p/series: Revert
      version of libgit2 used to build libgit2-sys to 1.7.2

 -- Max Gilmour <max.gilmour@canonical.com>  Mon, 09 Jun 2025 10:13:46 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu3) plucky; urgency=medium

  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 05 Jan 2025 17:13:11 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/p/ubuntu/ubuntu-libgit2-downgrade.patch: delete the patch to
    update libgit2 to 1.8 (LP: #2089696)
  * d/rust-X.Y-src.links.in: add one more symlink that creates the
    lib/rustlib/src/rust path to help with the Linux kernel build system
    (LP: #2090791)

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 17 Dec 2024 20:09:19 -0700
