=== debian/control ===
--- 
+++ 
@@ -12,18 +12,13 @@
 Build-Depends:
  debhelper (>= 9),
  debhelper-compat (= 13),
- dh-cargo (>= 28ubuntu1~),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo-1.81 <!pkg.rustc.dlstage0>,
- rustc-1.81 <!pkg.rustc.dlstage0>,
- llvm-17-dev:native,
- llvm-17-tools:native,
- libclang-rt-17-dev (>= 1:17~),
- libclang-common-17-dev (>= 1:17~),
- cmake (>= 3.0) | cmake3,
+ cargo-1.80 | cargo-1.81 <!pkg.rustc.dlstage0>,
+ rustc-1.80 | rustc-1.81 <!pkg.rustc.dlstage0>,
+ cmake (>= 3.20) | cmake3 (>= 3.20),
 # needed by some vendor crates
- pkgconf,
+ pkg-config,
 # this is sometimes needed by rustc_llvm
  zlib1g-dev:native,
  zlib1g-dev,
@@ -33,10 +28,11 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.7.0),
- libgit2-dev (<< 1.8~~),
- libhttp-parser-dev,
  libsqlite3-dev,
+# Required for llvm build
+ autotools-dev,
+ m4,
+ ninja-build,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
  git <!nocheck>,
@@ -54,7 +50,6 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
- clang-17:native,
  libssl-dev,
 Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
 Standards-Version: 4.6.2
